Skip to main content
GET
/
ext
/
conversation
Retrieve all Conversations
curl --request GET \
  --url https://api.trugen.ai/v1/ext/conversation \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "6457541c-6251-40ed-a672-52d166c2c565",
    "agent_id": "6d142a7c-a6ef-4616-90bb-0124fc83bce7",
    "agent_name": "Customer Support Agent",
    "context": "{\"text\":\"\"}",
    "meta_data": {},
    "join_link": "https://meet.trugen.ai/join/...",
    "status": "ENDED",
    "is_active": true,
    "created_at": "2025-12-18T17:54:02.153319Z",
    "updated_at": "2025-12-18T17:59:29.720601Z",
    "job_id": null,
    "feedback": "Great conversation",
    "rating": 5,
    "usage_status": "completed",
    "usage_json": "{}",
    "snippets": {},
    "user_name": "Test User",
    "user_id": "test@test.com",
    "chat_history": {},
    "type": "etev",
    "avatar_id": "665a1170"
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

offset
integer
default:0

The number of conversations to skip before starting to return results.

perpage
integer
default:10

The number of conversations to return per page.

Search criteria to filter conversations by ID, user name, agent name, or status.

fromDate
string

Filter conversations created on or after this date (YYYY-MM-DD).

toDate
string

Filter conversations created before this date plus one day (YYYY-MM-DD).

type
string

Filter by conversation or agent type.

Response

List of conversations retrieved successfully

id
string<uuid>

Unique identifier for the conversation

Example:

"6457541c-6251-40ed-a672-52d166c2c565"

agent_id
string<uuid>

Agent identifier

Example:

"6d142a7c-a6ef-4616-90bb-0124fc83bce7"

agent_name
string

Name of the agent

Example:

"Customer Support Agent"

context
string

Serialized conversational context

Example:

"{\"text\":\"\"}"

meta_data
object

Custom metadata associated with the conversation

Example:
{}

LiveKit room join link

Example:

"https://meet.trugen.ai/join/..."

status
enum<string>

Current status of the conversation

Available options:
STARTED,
IN_PROGRESS,
ENDED
Example:

"ENDED"

is_active
boolean

Whether the conversation session is active

Example:

true

created_at
string<date-time>

Timestamp when the conversation was created

Example:

"2025-12-18T17:54:02.153319Z"

updated_at
string<date-time>

Timestamp when the conversation was last updated

Example:

"2025-12-18T17:59:29.720601Z"

job_id
string | null

Background processing job ID, if any

Example:

null

feedback
string | null

User feedback description, if any

Example:

"Great conversation"

rating
integer | null

User rating, if any

Example:

5

usage_status
string

Status of usage tracking

Example:

"completed"

usage_json
string

Serialized usage metrics

Example:

"{}"

snippets
object

Context snippets used in the conversation

Example:
{}
user_name
string

Name of the user in the conversation

Example:

"Test User"

user_id
string

Identifier of the user

Example:

"test@test.com"

chat_history
object

Complete chat history of the conversation

Example:
{}
type
string

Type of the conversation

Example:

"etev"

avatar_id
string

Identifier of the avatar

Example:

"665a1170"